#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - phpmyadmin41 preinstallation
#
# Creation   :  2017-04-28 holbru
# Last update:  $Id: preinstall.sh 47047 2017-09-06 19:58:25Z hbfl $
#
# Copyright (c) 2017-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=phpmyadmin41

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/phpmyadmin ]
then
    . /etc/config.d/phpmyadmin

    servername=${PHPMYADMIN_HOST_NAME}
         alias=${PHPMYADMIN_HOST_ALIAS}

    rm -f /etc/apache2/vhost/host-${servername}-${alias}
    rm -f /etc/apache2/vhost/vhost-${servername}-${alias}
    rm -f /etc/apache2/mods-include/phpmyadmin-*.conf
    rm -f /etc/apache2/mods-available/phpmyadmin.conf
    rm -f /etc/apache2/mods-enabled/phpmyadmin.conf
    rm -f /etc/apache2/mods-enabled/virtualhost-phpmyadmin.conf
    rm -f /etc/apache2/mods-available/virtualhost-phpmyadmin.conf
    rm -f /etc/apache2/mods-enabled/virtualhost-phpmyadmin-*.conf
    rm -f /etc/apache2/mods-available/virtualhost-phpmyadmin-*.conf
    rm -f /var/install/menu/setup.services.apache2.config.modules.phpmyadmin.logfileview.*
    rm -f /etc/logrotate.d/phpmyadmin
    rm -f /etc/phpMyAdmin/config.inc.php

    phpmyadmin_installed=$(eisman query --installed --unstable phpmyadmin)
    if [ -n "${phpmyadmin_installed}" ]
    then
        /var/install/bin/del-package --update -p phpmyadmin
    fi
else
    rm -f /etc/backup.d/phpmyadmin.*
fi

if [ -f "/var/install/packages/${package_name}" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
